//
//  UICountGradientLabel.h
//  NBChart
//
//  Created by Jax on 2016/11/22.
//  Copyright © 2016年 Jax. All rights reserved.

//  来源 UICountingLabel:https://github.com/dataxpress/UICountingLabel

#import <UIKit/UIKit.h>

typedef NS_ENUM(NSInteger, UICountGradientType) {
    UICountGradientTypeEaseInOut,
    UICountGradientTypeEaseIn,
    UICountGradientTypeEaseOut,
    UICountGradientTypeLinear
};

typedef NSString * (^UICountLabelFormatBlock)(CGFloat value);
typedef NSAttributedString * (^UICountLabelAttributedFormatBlock)(CGFloat value);

@interface UICountGradientLabel : UILabel

@property (nonatomic, strong) NSString *format;
@property (nonatomic, assign) NSTimeInterval animationDuration;

@property (nonatomic, assign) UICountGradientType countGradientType;

@property (nonatomic, copy) UICountLabelFormatBlock formatBlock;
@property (nonatomic, copy) UICountLabelAttributedFormatBlock attributedFormatBlock;

@property (nonatomic, copy) void (^completeBlock)();

- (void)countGradientFrom:(CGFloat)startValue to:(CGFloat)endValue;
- (void)countGradientFrom:(CGFloat)startValue to:(CGFloat)endValue duration:(NSTimeInterval)duration;

-(void)countFromCurrentValueTo:(CGFloat)endValue;
-(void)countFromCurrentValueTo:(CGFloat)endValue duration:(NSTimeInterval)duration;

-(void)countFromZeroTo:(CGFloat)endValue;
-(void)countFromZeroTo:(CGFloat)endValue duration:(NSTimeInterval)duration;

@end
